%{?nodejs_find_provides_and_requires}

%global packagename assert
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.4.1
Release: 1%{?dist}.3
Summary: commonjs assert - node.js api compatible
License: MIT
URL: https://github.com/defunctzombie/commonjs-assert
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(util) >= 0.10.3

%if 0%{?enable_tests}
BuildRequires: npm(mocha) >= 1.21.4
%endif

%description
This module is used for writing unit tests for your applications,
you can access it with require('assert').

The API is derived from the commonjs 1.0 unit testing spec and
the node.js assert module.


%prep
%setup -q -n package
%nodejs_fixdep util '>=0.10.3'
%nodejs_fixdep mocha '>=1.21.4'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha --ui qunit test.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Tue Sep 20 2016 Oleg Girko <ol@infoserver.lv> - 1.4.1-1
- Initial package.
